#ifndef DATASET_H
#define DATASET_H

#include <QMainWindow>
#include <QString>
#include <QLabel>
#include <QDockWidget>
#include <QTableWidget>

#include <qwt_plot.h>

#include "ds.h"

namespace Ui {
class DataSet;
}

class DataSet : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit DataSet(QWidget *parent = 0);
    ~DataSet();
    
    void createDockWindows(void);

private:
    Ui::DataSet *ui;
    DS::dataset *ds;
    QLabel *statusCable, *statusTStamp;
    QAction *actionOpen;

    // output widgets
    QDockWidget *dockTable, *dockDiagram;
    QTableWidget *table;
    QwtPlot *dataPlot;

    // data shared with the serialThread instance
    struct DS::sharedData sharedData;

signals:
    void closedSignal(DataSet *child);
};

#endif // DATASET_H
